using Avalonia;
using Avalonia.Media;
using ReactiveUI;
using ReactiveUI.Validation.Helpers;
using VeloeMinecraftLauncher.MinecraftLauncher;

namespace VeloeMinecraftLauncher.ViewModels;

public class ViewModelBase : ReactiveValidationObject
{
    public ViewModelBase()
    {
        this.RaisePropertyChanged(nameof(InterfaceColor));
        this.RaisePropertyChanged(nameof(MaterialOpacity));

    }
    public Color InterfaceColor
    {
        get => Color.Parse("Black");
        set => this.RaisePropertyChanged(nameof(InterfaceColor));
    }

    public float MaterialOpacity
    {
        get => 0.5F;
        set => this.RaisePropertyChanged(nameof(MaterialOpacity));
    }
}

